Bug 979745 - SELinux is preventing /usr/bin/perl from 'create' accesses on the directory .razor.
SELinux is preventing /usr/bin/perl from 'create' accesses on the directory ....
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8198c80f9587e67f8c36d09b985...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 03:52 EDT by Juan Orti
Modified: 2013-07-06 21:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-59.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-06 21:32:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Orti 2013-06-30 03:52:48 EDT
Description of problem:
SELinux is preventing /usr/bin/perl from 'create' accesses on the directory .razor.

*****  Plugin catchall (100. confidence) suggests  ***************************

If cree que de manera predeterminada, perl debería permitir acceso create sobre  .razor directory.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep 2F7573722F62696E2F7370616D6420 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:spamd_t:s0
Target Context                system_u:object_r:admin_home_t:s0
Target Objects                .razor [ dir ]
Source                        2F7573722F62696E2F7370616D6420
Source Path                   /usr/bin/perl
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           perl-5.16.3-265.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-54.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.6-301.fc19.x86_64 #1 SMP Mon
                              Jun 17 14:26:26 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-06-30 09:50:46 CEST
Last Seen                     2013-06-30 09:50:46 CEST
Local ID                      b15ff11f-f38c-487c-abb0-797b0572f9eb

Raw Audit Messages
type=AVC msg=audit(1372578646.71:468): avc:  denied  { create } for  pid=2231 comm=2F7573722F62696E2F7370616D6420 name=".razor" scontext=system_u:system_r:spamd_t:s0 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1372578646.71:468): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=48a7560 a1=1ed a2=7fc7c5221ebc a3=0 items=0 ppid=1450 pid=2231 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=2F7573722F62696E2F7370616D6420 exe=/usr/bin/perl subj=system_u:system_r:spamd_t:s0 key=(null)

Hash: 2F7573722F62696E2F7370616D6420,spamd_t,admin_home_t,dir,create

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.6-301.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-01 06:26:16 EDT
6f36babcd3e4986d4a3549c558b6f973f1b514a9

Fixes this in git.

To fix this on your box execute 

#mkdir /root/.razor
#restorecon -R -v /root
Comment 2 Fedora Update System 2013-07-03 15:49:51 EDT
selinux-policy-3.12.1-59.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-59.fc19
Comment 3 Fedora Update System 2013-07-04 22:13:32 EDT
Package selinux-policy-3.12.1-59.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-59.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12373/selinux-policy-3.12.1-59.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-06 21:32:48 EDT
selinux-policy-3.12.1-59.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.